Bug 1397312 - rebase-helper does not used properly --results-dir
Summary: rebase-helper does not used properly --results-dir
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rebase-helper
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-22 09:53 UTC by Petr Hracek
Modified: 2017-01-05 02:20 UTC (History)
3 users (show)

Fixed In Version: rebase-helper-0.8.0-3.fc24 rebase-helper-0.8.0-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-04 21:21:31 UTC


Attachments (Terms of Use)

Description Petr Hracek 2016-11-22 09:53:21 UTC
Description of problem:

I specified the option --results-dir in Dockerfile and I expected that
the output of rebase-helper will be stored there.

Unfortunately rebase-helper also expects in the directory all package data like patches, sources, etc.

The directory /package_name contains all data for rebases.

https://github.com/rebase-helper/rebase-helper/issues/241

results_dir has not to be the same as execution_dir.

Comment 1 Fedora Update System 2016-11-22 11:34:51 UTC
rebase-helper-0.8.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-defea9e776

Comment 2 Fedora Update System 2016-11-22 11:46:01 UTC
rebase-helper-0.8.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b718f0bc0c

Comment 4 Fedora Update System 2016-11-23 20:32:12 UTC
rebase-helper-0.8.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b718f0bc0c

Comment 5 Fedora Update System 2016-11-23 23:07:13 UTC
rebase-helper-0.8.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-defea9e776

Comment 6 Fedora Update System 2017-01-04 21:21:31 UTC
rebase-helper-0.8.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-01-05 02:20:05 UTC
rebase-helper-0.8.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.